"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_usestateref_1 = __importDefault(require("react-usestateref"));
const styles_1 = require("./styles");
const styled_components_1 = require("styled-components");
const util_1 = require("../../../utils/util");
const List = (props) => {
    const passProps = (elements, toggleIndexes, openIndexes, closeIndexes, noClickIndexes) => {
        console.log('list passProps', elements, toggleIndexes, openIndexes, closeIndexes, noClickIndexes);
        return (elements &&
            react_1.default.Children.map(elements, (child, index) => {
                let has = (0, util_1.exists)(openIndexes, index);
                let drawerAction;
                if (has) {
                    drawerAction = props?.open;
                    has = (0, util_1.exists)(closeIndexes, index);
                    if (has) {
                        drawerAction = props?.toggle;
                    }
                }
                else {
                    has = (0, util_1.exists)(closeIndexes, index);
                    if (has) {
                        drawerAction = props?.close;
                    }
                }
                has = (0, util_1.exists)(toggleIndexes, index);
                if (has) {
                    drawerAction = props?.toggle;
                }
                const newProps = {
                    onClick: drawerAction,
                    drawerAction: drawerAction,
                    drawerState: props?.state,
                    drawerOpen: props?.open,
                    drawerClose: props?.close,
                    drawerToggle: props?.toggle,
                };
                has = (0, util_1.exists)(noClickIndexes, index);
                if (drawerAction == undefined && has)
                    delete newProps.onClick;
                const cloneChild = react_1.default.cloneElement(child, newProps);
                return cloneChild;
            }));
    };
    const [children, setChildren] = (0, react_usestateref_1.default)(props.children ? (passProps(props?.children, props?.toggleIndexes, props?.openIndexes, props?.closeIndexes, props?.noClickIndexes)) : (react_1.default.createElement(react_1.default.Fragment, null)));
    (0, react_1.useEffect)(() => {
        setChildren(props.children ? (passProps(props?.children, props?.toggleIndexes, props?.openIndexes, props?.closeIndexes, props?.noClickIndexes)) : (react_1.default.createElement(react_1.default.Fragment, null)));
    }, [props?.children, props?.state, props?.state?.[0], props?.toggleIndexes, props?.openIndexes, props?.closeIndexes, props?.noClickIndexes]);
    return (react_1.default.createElement(styles_1.List, { className: props?.state?.[0] ? 'openned' : 'closed' }, children));
};
exports.default = (0, styled_components_1.withTheme)(List);
//# sourceMappingURL=index.js.map